## midish 1.0.4

=== debian/changelog ===
midish (1.0.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999244).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 18:49:04 -0300

midish (1.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload, fixes FTBFS. (Closes: #604947, #652177)

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 31 Jan 2012 00:44:29 +0000

midish (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Complete repackaging (new upstream build process, new standards)

 -- Alexandre Ratchov <alex@caoua.org>  Sat, 30 Oct 2010 11:50:43 +0200

midish (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Alexandre Ratchov <alex@caoua.org>  Mon, 20 Aug 2007 13:12:49 +0200

midish (0.2.8-1) unstable; urgency=low

  * New upstream release.
  * Added a watch file.

 -- Samuel Mimram <smimram@debian.org>  Sun, 29 Apr 2007 20:24:03 +0200

midish (0.2.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 17:00:11 +0200

midish (0.2.7-1) experimental; urgency=low

  * New upstream release

 -- Alexandre Ratchov <alex@caoua.org>  Wed, 10 Jan 2007 15:00:58 +0100

midish (0.2.5-1) unstable; urgency=low

  * Initial release, closes: #385121.

 -- Samuel Mimram <smimram@debian.org>  Wed, 30 Aug 2006 19:30:12 +0000
