=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS = -Wl,--as-needed

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	    --prefix=/usr --mandir=/usr/share/man
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install:
	dh_testdir
	dh_prep -s 
	dh_installdirs -s
	$(MAKE) DESTDIR=$(CURDIR)/debian/midish \
	    DOC_DIR=/usr/share/doc/midish \
	    EXAMPLES_DIR=/usr/share/doc/midish/examples \
	    install
	dh_install -s

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
