=== debian/watch ===
version=3
http://caoua.org/midish/ midish-(.*)\.tar\.gz
