## midish 1.4.0

=== debian/changelog ===
midish (1.4.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #993811, #1070255
  * Add myself to Uploades since former maintainer (=upsteam)
    prefers if someone else would take over
    Closes: #1107230
  * Maintain package in Debian Multimedia team
  * Fix Homepage
  * Fix watch file
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * d/rules: short dh
    Closes: #1070255
  * Add upstream signing key
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Tue, 29 Jul 2025 17:37:58 +0200
