=== debian/control ===
Source: midish
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13), libreadline-dev, libasound2-dev, libncurses-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/midish
Vcs-Git: https://salsa.debian.org/multimedia-team/midish.git
Homepage: https://midish.org

Package: midish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shell-like MIDI sequencer/filter
 midish is a MIDI sequencer/filter implemented as a shell-like interpreter.
 It's intended to be lightweight, fast and reliable for real-time performance.
 Important features are: multiple MIDI devices handling, synchronisation to
 external MIDI devices, real-time MIDI filtering/routing (controller mapping,
 keyboard splitting, ...), track recording and editing (insert, copy, delete,
 quantize...), import and export of standard MIDI files, system exclusive
 messages handling.
