=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
%:
	dh $@

override_dh_auto_configure:
	./configure CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --prefix=/usr --mandir=/usr/share/man

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Disable build time test"
endif

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/midish \
	    DOC_DIR=/usr/share/doc/midish \
	    EXAMPLES_DIR=/usr/share/doc/midish/examples \
	    install
