=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.asc/" \
  https://midish.org/ midish-(.*)\.tar\.gz
